Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588477 - Review Request: rubygem-webmock - mock object support for web dev in ruby.
Summary: Review Request: rubygem-webmock - mock object support for web dev in ruby.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: buildr
TreeView+ depends on / blocked
 
Reported: 2010-05-03 19:10 UTC by Adam Young
Modified: 2010-12-01 18:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-18 14:45:36 UTC


Attachments (Terms of Use)

Description Adam Young 2010-05-03 19:10:07 UTC
Spec URL: http://github.com/admiyo/MySpecs/blob/master/rubygem-webmock.spec
SRPM URL: http://admiyo.fedorapeople.org/buildr-repo/rubygem-webmock-0.9.1-1.young.src.rpm
Description: Library for stubbing HTTP requests in Ruby

Comment 1 Adam Young 2010-05-11 20:22:34 UTC
Updated withe standard changes: License, define->global, documentation deduplication, etc.

http://github.com/admiyo/MySpecs/blob/5819405848299b9cc794338dafcf788668732310/rubygem-rubyzip.spec

http://admiyo.fedorapeople.org/buildr-repo/rubygem-webmock-0.9.1-2.young.src.rpm

Comment 2 Michael Stahnke 2010-08-30 01:52:19 UTC
rubygem-sitelib is never used and should be removed. 

rubygem-webmock.noarch: E: version-control-internal-file /usr/lib/ruby/gems/1.8/gems/webmock-0.9.1/spec/vendor/samuel-0.2.1/.gitignore



This can be removed rubygem-webmock.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/webmock-0.9.1/spec/vendor/samuel-0.2.1/.document

I'd like to have a full %check section, but it looks like the Rakefile requires jeweler.  There is a review bug open on that gem, and hopefully it will be included soon.  Until then, perhaps having a %check section that is commented out would be ok.

%check
cd %{buildroot}%{geminstdir}
rake test
rake spec

I'll have more comments after I review addressable and httpclient.  I open this one in the wrong order.

Comment 3 Jesus M. Rodriguez 2010-11-18 14:45:36 UTC
This initially started as a dependency for rubygem-buildr. It is no longer needed for that. We can cancel this review.


Note You need to log in before you can comment on or make changes to this bug.